Bug 1361344 - RFE: Allow denial of build deletion and resubmitting at project or group level
Summary: RFE: Allow denial of build deletion and resubmitting at project or group level
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 21:33 UTC by Patrick Uiterwijk
Modified: 2017-01-05 17:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-05 17:19:14 UTC


Attachments (Terms of Use)

Description Patrick Uiterwijk 2016-07-28 21:33:23 UTC
It would be great if it is possible to create a project or group where it's not allowed to delete or overwrite an existing build.
That way, you can be sure that if you have a specific built NEVR RPM from a COPR repo, and you go back, that same package will still be there, with the original SRPM.

Currently it's possible to "overwrite" an existing build by just deleting the old one and submitting a new SRPM with the same NEVR, and nobody would be any the wiser except if they compared the times, but then tehy still wouldn't have the old SRPM.

Comment 1 Patrick Uiterwijk 2016-07-28 21:37:55 UTC
(obviously, that setting should not be clearable after setting)

Comment 2 clime 2016-07-29 18:30:34 UTC
I think that could be a feature of individual builds to be "sticky". It could be implemented as a checkbox in "New build" form. These builds would be immune against automatic prunning script. I would still allow user to be able to manually delete it with a small info (warning) window about the build "stickiness" displayed first.

Comment 3 Patrick Uiterwijk 2016-07-29 23:49:07 UTC
I would disagree with that approach. My main reason here is that I want to be sure that if I install things from a specific COPR, I will always be able to find the original SRPMs back.
I want people to be really, REALLY, be unable to delete any builds, so that I always have a record of what was originally installed.

If people only get a bit more obnoxious warning, they can still delete the builds, rendering that impossible.

Comment 4 clime 2016-08-06 19:54:43 UTC
Alright, if this option will be available only for users marked as admins in COPR DB, then I think we can definitely do this.

Comment 5 clime 2016-08-09 11:38:01 UTC
Fixed by 757bc6be.

Comment 6 Fedora Update System 2016-08-17 14:24:26 UTC
copr-backend-1.92-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-76bd2fb756

Comment 7 Fedora Update System 2016-08-17 14:24:43 UTC
copr-backend-1.92-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c6f580ff7

Comment 8 Fedora Update System 2016-08-17 14:35:10 UTC
python-copr-1.73-1.el7 copr-cli-1.55-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-69e998691e

Comment 9 Fedora Update System 2016-08-17 14:35:32 UTC
python-copr-1.73-1.fc24 copr-cli-1.55-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c23562e213

Comment 10 Fedora Update System 2016-08-17 14:35:40 UTC
python-copr-1.73-1.fc23 copr-cli-1.55-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0cc135b29c

Comment 11 Fedora Update System 2016-08-17 14:35:55 UTC
python-copr-1.73-1.el6 copr-cli-1.55-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-01782b9121

Comment 12 Fedora Update System 2016-08-17 14:43:14 UTC
copr-frontend-1.99-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d021ff520

Comment 13 Fedora Update System 2016-08-17 14:43:33 UTC
copr-frontend-1.99-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c38bc25dbc

Comment 14 Fedora Update System 2016-08-18 01:50:19 UTC
copr-frontend-1.99-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c38bc25dbc

Comment 15 Fedora Update System 2016-08-18 01:50:51 UTC
copr-cli-1.55-1.fc23, python-copr-1.73-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0cc135b29c

Comment 16 Fedora Update System 2016-08-18 01:51:03 UTC
copr-backend-1.92-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-76bd2fb756

Comment 17 Fedora Update System 2016-08-18 01:51:18 UTC
copr-frontend-1.99-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d021ff520

Comment 18 Fedora Update System 2016-08-18 01:51:29 UTC
copr-cli-1.55-1.fc24, python-copr-1.73-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c23562e213

Comment 19 Fedora Update System 2016-08-18 01:51:35 UTC
copr-backend-1.92-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8c6f580ff7

Comment 20 Fedora Update System 2016-08-18 04:18:36 UTC
copr-cli-1.55-1.el7, python-copr-1.73-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-69e998691e

Comment 21 Fedora Update System 2016-08-18 04:18:56 UTC
copr-cli-1.55-1.el6, python-copr-1.73-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-01782b9121

Comment 22 clime 2016-08-18 16:19:56 UTC
New Copr has been released.

Comment 23 Fedora Update System 2016-08-21 23:21:40 UTC
copr-cli-1.55-1.fc24, python-copr-1.73-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-08-22 06:43:51 UTC
python-copr-1.73-1.fc25 copr-cli-1.55-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3589d64e4c

Comment 25 Fedora Update System 2016-08-22 23:52:42 UTC
copr-cli-1.55-1.fc25, python-copr-1.73-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3589d64e4c

Comment 26 Fedora Update System 2016-09-05 17:55:27 UTC
copr-cli-1.55-1.fc25, python-copr-1.73-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2016-09-12 06:25:15 UTC
copr-frontend-1.101-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 28 Fedora Update System 2016-09-12 06:26:09 UTC
copr-frontend-1.101-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b1155f62d6

Comment 29 Fedora Update System 2016-09-12 14:50:44 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 30 Fedora Update System 2016-09-12 15:26:53 UTC
copr-frontend-1.101-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b1155f62d6

Comment 31 Fedora Update System 2016-09-23 06:53:51 UTC
copr-cli-1.57-1.fc23, python-copr-1.74-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a111e5063e

Comment 32 Fedora Update System 2016-09-23 10:48:37 UTC
copr-cli-1.57-1.el6, python-copr-1.74-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ac91d6a1fa

Comment 33 Fedora Update System 2016-09-28 16:20:05 UTC
copr-cli-1.57-1.el7, python-copr-1.74-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0e6ea050dd

Comment 34 Fedora Update System 2016-10-03 17:22:59 UTC
copr-frontend-1.101-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2016-10-03 20:19:37 UTC
copr-cli-1.57-1.fc23, python-copr-1.74-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2016-10-03 20:20:54 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2016-12-02 09:22:47 UTC
python-copr-1.75-1.el6 copr-cli-1.58-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ae237efcc

Comment 38 Fedora Update System 2016-12-03 11:18:31 UTC
copr-cli-1.58-1.el6, python-copr-1.75-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ae237efcc

Comment 39 Fedora Update System 2017-01-05 17:19:14 UTC
copr-cli-1.58-1.el6, python-copr-1.75-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.